<?php
class Alternativa extends Controller {

	function Alternativa()
	{
		parent::Controller();
	}

	function index()
	{
		$this->load->view('common/header');
		$this->load->view('common/top');
		$this->load->view('common/menu');
		$this->load->model('authmodel','',true);
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));
		if(!$this->uri->segment(3)) redirect(site_url('questao/'));
		$data['questao'] = $this->db->get_where('questao',array('id_questao'=>$this->uri->segment(3)))->row();
		$data['alternativas'] = $this->db->get_where('alternativa',array('id_questao'=>$this->uri->segment(3)))->result();
		$this->load->view('alternativa/list',$data);
	}

	function insert()
	{
		// Request the auxiliar files
		$this->load->helper('form');
		$this->load->model('authmodel','',true);
		$this->load->library('form_validation');

		// Verifica se est logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));

		// Set the validation rules
		$this->form_validation->set_rules('resposta','Resposta','required');
		$this->form_validation->set_rules('valor','Valor','required|numeric');

		// Request the view of the header
		$this->load->view('common/header.php');
		$this->load->view('common/top');
		$this->load->view('common/menu.php');
		
		// If validation fail, show the form again
		if ($this->form_validation->run() == FALSE)
		{
			// Prepara os tipos
			foreach($this->db->get('tipo')->result() as $tipo){
				$tipos[$tipo->id_tipo] = $tipo->tipo;
			}
			// Carrega a viso
			$this->load->view('alternativa/form.php',array('tipos'=>$tipos));
		}
		else
		{
			unset($_POST['btnLogin']);
			// Try to insert
			$info_insert = $this->db->insert('alternativa',$_POST);
			if($info_insert) redirect(site_url('alternativa/index/'.$_POST['id_questao']));
		}

	}

	function update()
	{
		// Request the auxiliar files
		$this->load->helper('form');
		$this->load->model('authmodel','',true);
		$this->load->library('form_validation');

		// Verifica se est� logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));

		// Set the validation rules
		$this->form_validation->set_rules('resposta','Resposta','required');
		$this->form_validation->set_rules('valor','Valor','required|numeric');
				
		// Request the view of the header
		$this->load->view('common/header.php');
		$this->load->view('common/top');
		$this->load->view('common/menu.php');
		
		// If validation fail, show the form again
		if ($this->form_validation->run() == FALSE)
		{
			// Monta a consulta no banco de dados
			$result = $this->db->get_where('alternativa',(array('id_alternativa'=>$this->uri->segment(3))))->result();
			if(count($result)) $data['data'] = $result[0];
			else $data = null;
			// Carrega a viso
			$this->load->view('alternativa/form.php',$data);
		}
		else
		{
			unset($_POST['btnLogin']);
			// Try to insert
			$info_insert = $this->db->update('alternativa',$_POST,array('id_alternativa'=>$_POST['id_alternativa']));
			if($info_insert) redirect(site_url('alternativa/index/'.$_POST['id_questao']));
		}
	}
	
	function delete(){
		// Request the auxiliary files
		$this->load->model('authmodel');
		
		// Verifica se est logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));
		
		// Efetua a deleo
		$this->db->delete('alternativa',array('id_alternativa'=>$this->uri->segment(3)));
		redirect(site_url('alternativa/index/'.$this->uri->segment(4)));
	}
}
