<?php
class Aluno extends Controller {

	function Aluno()
	{
		parent::Controller();
	}

	function index()
	{
		$this->load->view('common/header');
		$this->load->view('common/top');
		$this->load->view('common/menu');
		$this->load->model('authmodel','',true);
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));
		$data['status'] = $this->db->get('aluno')->result();
		$this->load->view('aluno/list',$data);
	}

	function insert()
	{
		// Request the auxiliar files
		$this->load->helper('form');
		$this->load->model('authmodel','',true);
		$this->load->library('form_validation');

		// Verifica se est logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));

		// Set the validation rules
		$this->form_validation->set_rules('nome','Nome','required');
		$this->form_validation->set_rules('user','Usurio','required');
		$this->form_validation->set_rules('password','Senha','required');

		// Request the view of the header
		$this->load->view('common/header.php');
		$this->load->view('common/top');
		$this->load->view('common/menu.php');
		
		// If validation fail, show the form again
		if ($this->form_validation->run() == FALSE)
		{
			// Carrega a viso
			$this->load->view('aluno/form.php');
		}
		else
		{
			unset($_POST['btnLogin']);
			$_POST['password'] = crypt($_POST['password']);
			// Try to insert
			$info_insert = $this->db->insert('aluno',$_POST);
			if($info_insert) redirect(site_url('aluno/'));
		}

	}

	function update()
	{
		// Request the auxiliar files
		$this->load->helper('form');
		$this->load->model('authmodel','',true);
		$this->load->library('form_validation');

		// Verifica se est� logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));

		// Set the validation rules
		$this->form_validation->set_rules('nome','Nome','required');
		$this->form_validation->set_rules('user','Usurio','required');

		// Request the view of the header
		$this->load->view('common/header.php');
		$this->load->view('common/top');
		$this->load->view('common/menu.php');
		
		// If validation fail, show the form again
		if ($this->form_validation->run() == FALSE)
		{
			// Monta a consulta no banco de dados
			$result = $this->db->get_where('aluno',(array('id_aluno'=>$this->uri->segment(3))))->result();
			if(count($result)) $data['data'] = $result[0];
			else $data = null;
			// Carrega a viso
			$this->load->view('aluno/form.php',$data);
		}
		else
		{
			unset($_POST['btnLogin']);
			// Retira a alterao da senha se for deixada em branco
			if(!strlen($_POST['password'])) unset($_POST['password']);
			else $_POST['password'] = crypt($_POST['password']);
			// Try to insert
			$info_insert = $this->db->update('aluno',$_POST,array('id_aluno'=>$_POST['id_aluno']));
			if($info_insert) redirect(site_url('aluno/'));
		}
	}
	
	function delete(){
		// Request the auxiliary files
		$this->load->model('authmodel');
		
		// Verifica se est logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));
		
		// Efetua a deleo
		$this->db->delete('aluno',array('id_aluno'=>$this->uri->segment(3)));
		redirect(site_url('aluno/'));
	}
	
	function zerar(){
		// Request the auxiliary files
		$this->load->model('authmodel');
		
		// Verifica se est logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));
		
		// Efetua a deleo
		$this->db->update('aluno',array('score'=>'0'),array('id_aluno'=>$this->uri->segment(3)));
		$this->db->delete('resposta',array('id_aluno'=>$this->uri->segment(3)));
		redirect(site_url('aluno/'));
	}
	
	function zerar_todos(){
		// Request the auxiliary files
		$this->load->model('authmodel');
		
		// Verifica se est logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));
		
		// Efetua a deleo
		$this->db->update('aluno',array('score'=>'0'),array());
		$this->db->delete('resposta',array());
		redirect(site_url('aluno/'));
	}
}
