<?php
class Questao extends Controller {

	function Questao()
	{
		parent::Controller();
	}

	function index()
	{
		$this->load->view('common/header');
		$this->load->view('common/top');
		$this->load->view('common/menu');
		$this->load->model('authmodel','',true);
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));
		$data['status'] = $this->db->orderby('min_score')->get('questao')->result();
		$this->load->view('questao/list',$data);
	}

	function insert()
	{
		// Request the auxiliar files
		$this->load->helper('form');
		$this->load->model('authmodel','',true);
		$this->load->library('form_validation');

		// Verifica se est logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));

		// Set the validation rules
		$this->form_validation->set_rules('nome','Nome','required');
		$this->form_validation->set_rules('questao','Questo','required');
		$this->form_validation->set_rules('resposta','Resposta','required');
		$this->form_validation->set_rules('min_score','Pontuao mnima','required');
		$this->form_validation->set_rules('get_score','Pontuao obtida','required');
		
		// Request the view of the header
		$this->load->view('common/header.php');
		$this->load->view('common/top');
		$this->load->view('common/menu.php');
		
		// If validation fail, show the form again
		if ($this->form_validation->run() == FALSE)
		{
			// Prepara os tipos
			foreach($this->db->get('tipo')->result() as $tipo){
				$tipos[$tipo->id_tipo] = $tipo->tipo;
			}
			// Carrega a viso
			$this->load->view('questao/form.php',array('tipos'=>$tipos));
		}
		else
		{
			unset($_POST['btnLogin']);
			// Try to insert
			$info_insert = $this->db->insert('questao',$_POST);
//			Se fosse utilizar alternativas cadastradas
//			if($info_insert){
//				if($_POST['id_tipo']==2) redirect(site_url('alternativa/index/'.$this->db->insert_id()));
//				else redirect(site_url('questao/'));
//			}
			if($info_insert) redirect(site_url('questao/'));
		}

	}

	function update()
	{
		// Request the auxiliar files
		$this->load->helper('form');
		$this->load->model('authmodel','',true);
		$this->load->library('form_validation');

		// Verifica se est� logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));

		// Set the validation rules
		$this->form_validation->set_rules('nome','Nome','required');
		$this->form_validation->set_rules('questao','Questo','required');
		$this->form_validation->set_rules('resposta','Resposta','required');
		
		// Request the view of the header
		$this->load->view('common/header.php');
		$this->load->view('common/top');
		$this->load->view('common/menu.php');
		
		// If validation fail, show the form again
		if ($this->form_validation->run() == FALSE)
		{
			// Monta a consulta no banco de dados
			$result = $this->db->get_where('questao',(array('id_questao'=>$this->uri->segment(3))))->result();
			if(count($result)) $data['data'] = $result[0];
			else $data = null;
			// Prepara os tipos
			foreach($this->db->get('tipo')->result() as $tipo){
				$tipos[$tipo->id_tipo] = $tipo->tipo;
			}
			$data['tipos'] = $tipos;
			// Carrega a viso
			$this->load->view('questao/form.php',$data);
		}
		else
		{
			unset($_POST['btnLogin']);
			// Try to insert
			$info_insert = $this->db->update('questao',$_POST,array('id_questao'=>$_POST['id_questao']));
			if($info_insert) redirect(site_url('questao/'));
		}
	}
	
	function delete(){
		// Request the auxiliary files
		$this->load->model('authmodel');
		
		// Verifica se est logado
		if(!$this->authmodel->logged()) redirect(site_url('auth/'));
		
		// Efetua a deleo
		$this->db->delete('questao',array('id_questao'=>$this->uri->segment(3)));
		redirect(site_url('questao/'));
	}
}
